Page MenuHomePhabricator

Allow browsing log events by log ID
Closed, ResolvedPublic

Description

Add a logid parameter to Special:Log so that there can be a link to a specific log event. E.g., http://foowiki.org/w/index.php/Special:Log?logid=1 to view log event #1.

Or add it to Special:Redirect

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:34 AM
bzimport set Reference to bz69107.
bzimport added a subscriber: Unknown Object (MLST).

Change 151672 had a related patch set uploaded by leucosticte:
Add logid parameter to Special:Log

https://gerrit.wikimedia.org/r/151672

The usefulness of this is questionable, unless/until some functionality is developed to make it possible to cross-link from one log event to another in Special:Logging. Therefore, WONTFIX.

Change 151672 abandoned by leucosticte:
Add logid parameter to Special:Log

Reason:
The usefulness of this is questionable, unless/until some functionality is developed to make it possible to cross-link from one log event to another in Special:Logging. Therefore, WONTFIX.

https://gerrit.wikimedia.org/r/151672

For what it's worth, I consider this request to be valuable.

TTO added a subscriber: TTO.Jan 12 2016, 4:40 AM

This could be implemented in Special:Redirect.

TTO renamed this task from Add a logid parameter to Special:Log to Allow browsing log events by log ID.Jan 12 2016, 4:40 AM
TTO reopened this task as Open.
TTO updated the task description. (Show Details)
TTO set Security to None.
TTO removed subscribers: leucosticte, wikibugs-l-list.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2016, 4:40 AM

In fact, this will be a good GCI task. It's actually not as trivial as it might look.

@TTO: Can you imagine mentoring this in Google Code-in 2015? Asking as per your last comment. :)

TTO added a comment.Jan 12 2016, 11:11 PM

@Aklapper: I can imagine it so vividly that I even wrote it up as a GCI task: https://codein.withgoogle.com/dashboard/tasks/5108429945307136/

Hah! Thanks. :) I'm going to move this on the workboard column from "Proposed" to "Imported" then.

I would like to claim this task on GCI, however, I don't see it on the task page. Can I start working on this?

Just subscribing in case @Pranavmk98 decides not to claim this, as I'd be interested in this one too.

Change 263850 had a related patch set uploaded (by PranavK):
Make Special:Redirect page ridirect to log events by ID

https://gerrit.wikimedia.org/r/263850

Change 263850 merged by jenkins-bot:
Make Special:Redirect page redirect to log events by ID

https://gerrit.wikimedia.org/r/263850

Florian closed this task as Resolved.Jan 17 2016, 2:27 PM
Florian removed a project: Patch-For-Review.
Florian added a subscriber: Florian.

The feeling when you get a task resuscitated after more than 1 year and it gets resolved in 5 days 😃

Problem: when the selected log entry isn't public, the special redirect should display an error message instead of the next (unrelated) entry.

TTO added a comment.Jan 17 2016, 11:14 PM

Problem: when the selected log entry isn't public, the special redirect should display an error message instead of the next (unrelated) entry.

File a new task?

Change 264699 had a related patch set uploaded (by Florianschmidtwelzow):
Special:Redirect: Don't redirect to a log entry, where the user can't see any information

https://gerrit.wikimedia.org/r/264699

hgzh awarded a token.Jan 18 2016, 11:00 AM

Actually, it might have been wiser to add id-based paging to Special:Log so as to allow permanent links to lists of entries.

Actually, it might have been wiser to add id-based paging to Special:Log so as to allow permanent links to lists of entries.

Yeah, I agree with this.

Change 264699 abandoned by Florianschmidtwelzow:
Special:Redirect: Don't redirect to a log entry, where the user can't see any information

Reason:
not working on it

https://gerrit.wikimedia.org/r/264699